Mail

Mail

Automatisch toegevoegd vanuit OpenAPI sync.

Verzonden e-mails ophalen

GET /v1/emails
invoices.read

App-wide email tracking. Scope invoices.read

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

Geen

Response
data array Required
id string
subject string
status string
delivered_at string
opened_at string
clicked_at string
open_count integer
click_count integer
created_at string
meta object Required

Examples

GET /v1/emails
curl -X GET "https://api.appficient.nl/v1/emails" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Verzonden e-mail ophalen

GET /v1/emails/{id}
invoices.read

App-wide email tracking. Scope invoices.read

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string Resource id (UUID, lowercase)
Request body

Geen

Response
data object Required
id string
subject string
status string
delivered_at string
opened_at string
clicked_at string
open_count integer
click_count integer
created_at string
meta object Required

Examples

GET /v1/emails/{id}
curl -X GET "https://api.appficient.nl/v1/emails/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

E-mailsjablonen ophalen

GET /v1/mail-templates
invoices.read

App-wide mail templates. Scope invoices.read

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

Geen

Response
success boolean Required

true bij geslaagde call

Example: true
data object[]
type string
Example: invoice
title string
Example: Factuur
subject string
Example: Uw factuur

Examples

GET /v1/mail-templates
curl -X GET "https://api.appficient.nl/v1/mail-templates" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.